Unfiltered (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db.rows

## Interface Unfiltered

- All Superinterfaces:
    Clusterable
  All Known Subinterfaces:
    RangeTombstoneMarker, Row
  All Known Implementing Classes:
    AbstractRangeTombstoneMarker, AbstractRow, BTreeRow, RangeTombstoneBoundaryMarker, RangeTombstoneBoundMarker

      public interface Unfiltered
      extends Clusterable

  Unfiltered is the common class for the main constituent of an unfiltered partition.

  In practice, an Unfiltered is either a row or a range tombstone marker. Unfiltereds are uniquely identified by their clustering information and can be sorted according to those.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Unfiltered.Kind`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `digest(java.security.MessageDigest digest)` Digest the atom using the provided `MessageDigest`.
    `default void` | `digest(java.security.MessageDigest digest, java.util.Set<java.nio.ByteBuffer> columnsToExclude)` Digest the atom using the provided `MessageDigest`.
    `boolean` | `isEmpty()`
    `default boolean` | `isRangeTombstoneMarker()`
    `default boolean` | `isRow()`
    `Unfiltered.Kind` | `kind()` The kind of the atom: either row or range tombstone marker.
    `java.lang.String` | `toString(CFMetaData metadata)`
    `java.lang.String` | `toString(CFMetaData metadata, boolean fullDetails)`
    `java.lang.String` | `toString(CFMetaData metadata, boolean includeClusterKeys, boolean fullDetails)`
    `void` | `validateData(CFMetaData metadata)` Validate the data of this atom.

    - ### Methods inherited from interface org.apache.cassandra.db.Clusterable

      `clustering`

- - ### Method Detail

    - #### kind

          Unfiltered.Kind kind()

      The kind of the atom: either row or range tombstone marker.

    - #### digest

          void digest(java.security.MessageDigest digest)

      Digest the atom using the provided `MessageDigest`.
      Parameters:
        `digest` - the `MessageDigest` to use.

    - #### digest

          default void digest(java.security.MessageDigest digest,
                              java.util.Set<java.nio.ByteBuffer> columnsToExclude)

      Digest the atom using the provided `MessageDigest`. This method only exists in 3.11. Same like `digest(MessageDigest)`, but excludes the given columns from digest calculation.

    - #### validateData

          void validateData(CFMetaData metadata)

      Validate the data of this atom.
      Parameters:
        `metadata` - the metadata for the table this atom is part of.
      Throws:
        `MarshalException` - if some of the data in this atom is invalid (some value is invalid for its column type, or some field is nonsensical).

    - #### isEmpty

          boolean isEmpty()

    - #### toString

          java.lang.String toString(CFMetaData metadata)

    - #### toString

          java.lang.String toString(CFMetaData metadata,
                                    boolean fullDetails)

    - #### toString

          java.lang.String toString(CFMetaData metadata,
                                    boolean includeClusterKeys,
                                    boolean fullDetails)

    - #### isRow

          default boolean isRow()

    - #### isRangeTombstoneMarker

          default boolean isRangeTombstoneMarker()

Copyright © 2018 The Apache Software Foundation